UI: Host add form, OS tab - arch, OS, media, p. table fields' labels suggest they're required even

when they're not

03/15/2017 08:59 AM - Tomer Brisker

Status: Resolved   

Priority: Low   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1405405 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1405405

Description of problem:

SSIA

Version-Release number of selected component (if applicable):

6.2.4

How reproducible:

Always

Steps to Reproduce:

1. Sat 6 with a hostgroup and a preconfigured OS (with media, ptable etc)

2. Hosts > New Host > Operating System (tab)

Actual results:

Labels of the fields Arch, OS, Media and Partition Table suggest they are required even when they are not. They are not required in

case a Host has a Host Group assigned to it.

Expected results:

-

Additional info:

-

History

#1 - 03/15/2017 09:12 AM - Dominic Cleal

- Category set to Host creation

The fields are required for most types of provisioning, so the asterisk ought to be correct. Whether a host group is used or not isn't really relevant.

If selecting a host group with the field set then the host field will be populated. Even if you unset it and the field is populated, it's still a required field for

the host.

#2 - 08/14/2017 02:50 PM - Marek Hulán

- Status changed from New to Resolved

Bugzilla was closed, the original issue is not reproducible.
